--- title: "Get Syslog Configuration" slug: "get-syslog-configuration" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:37:28Z published: 2026-09-23T09:37:28Z canonical: "docs.trellix.com/get-syslog-configuration" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Syslog Configuration This URL gets the syslog configuration for firewall notification. ## Resource URL GET /domain//notification/firewall/syslog ## Request Parameters URL Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | ## Response Parameters Details of SyslogNotification: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | enableSyslog | Enable syslog notification | Boolean | Yes | | parentAndChildDomain | Parent and child domain | Boolean | Yes | | serverIp | Server IP address | String | Yes | | serverPort | Server port | Number | Yes | | facilities | Facilities | String | No | | severity | Severity | String | No | | Message | Message | String | No | ## Example **Request** PUT [https:///sdkapi/domain/0/ notification/firewall/syslog](https://%3CNSM_IP%3E/sdkapi/domain/0/%20notification/firewall/syslog) **Response** ``` { [   "enableSyslog": true,   "parentAndChildDomain": true,   "serverIp": "1.1.1.2",   "serverPort": 515,   "facilities": "CLOCK_DAEMON_NOTE_2",   "severity”: "EMERGENCY_SYSTEM_UNUSABLE",   "message": "$IV_ACK_INFORMATION$ $IV_ADMIN_DOMAIN$ $IV_DESCRIPTION$"       ] } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |